NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Layout2d::InsertComponentBuilder Class Reference

Represents a Builder for Insert Component functionality which will insert a 2D Component instance in the active sketch
To create a new instance of this class, use NXOpen::Layout2d::ComponentCollection::CreateInsertComponentBuilder

Created in NX10.0.0. More...

Inheritance diagram for NXOpen::Layout2d::InsertComponentBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

double Angle ()
 Returns the component rotation angle, measured counterclockwise, around the anchor point, from the sketch +X direction to component's X axis
Created in NX12.0.0. More...
 
void SetAngle (double angle)
 Sets the component rotation angle, measured counterclockwise, around the anchor point, from the sketch +X direction to component's X axis
Created in NX12.0.0. More...
 
void SetLocation (NXOpen::Layout2d::Layout2dDefinitionLocation locationType)
 Sets the location type of the 2D Component indicating local, native or team center
Created in NX10.0.0. More...
 
void SetPath (const NXString &path)
 Sets the path of the reuse library for the 2D Component
Created in NX10.0.0. More...
 
void SetPath (const char *path)
 Sets the path of the reuse library for the 2D Component
Created in NX10.0.0. More...
 
void SetSketch (NXOpen::Sketch *sketch)
 Sets the sketch to insert the 2D Component
Created in NX10.0.0. More...
 
void SetSpecifyPoint (const NXOpen::Point3d &specifyPoint)
 Sets the point specified to put the 2D Component instance
Created in NX10.0.0. More...
 
NXOpen::Layout2d::ComponentSettingsBlockBuilderSettings ()
 Returns the Component settings block builder which holds the component settings builder
Created in NX10.0.0. More...
 
NXOpen::SketchSketch ()
 Returns the sketch to insert the 2D Component
Created in NX10.0.0. More...
 
NXOpen::Point3d SpecifyPoint ()
 Returns the point specified to put the 2D Component instance
Created in NX10.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Builder for Insert Component functionality which will insert a 2D Component instance in the active sketch
To create a new instance of this class, use NXOpen::Layout2d::ComponentCollection::CreateInsertComponentBuilder

Created in NX10.0.0.


Member Function Documentation

double NXOpen::Layout2d::InsertComponentBuilder::Angle ( )

Returns the component rotation angle, measured counterclockwise, around the anchor point, from the sketch +X direction to component's X axis
Created in NX12.0.0.



License requirements : None

void NXOpen::Layout2d::InsertComponentBuilder::SetAngle ( double  angle)

Sets the component rotation angle, measured counterclockwise, around the anchor point, from the sketch +X direction to component's X axis
Created in NX12.0.0.



License requirements : nx_layout ("NX Layout")

Parameters
angleangle
void NXOpen::Layout2d::InsertComponentBuilder::SetLocation ( NXOpen::Layout2d::Layout2dDefinitionLocation  locationType)

Sets the location type of the 2D Component indicating local, native or team center
Created in NX10.0.0.



License requirements : nx_layout ("NX Layout")

Parameters
locationTypelocationtype
void NXOpen::Layout2d::InsertComponentBuilder::SetPath ( const NXString path)

Sets the path of the reuse library for the 2D Component
Created in NX10.0.0.



License requirements : nx_layout ("NX Layout")

Parameters
paththe path of the 2D Component
void NXOpen::Layout2d::InsertComponentBuilder::SetPath ( const char *  path)

Sets the path of the reuse library for the 2D Component
Created in NX10.0.0.



License requirements : nx_layout ("NX Layout")

Parameters
paththe path of the 2D Component
void NXOpen::Layout2d::InsertComponentBuilder::SetSketch ( NXOpen::Sketch sketch)

Sets the sketch to insert the 2D Component
Created in NX10.0.0.



License requirements : nx_layout ("NX Layout")

Parameters
sketchsketch
void NXOpen::Layout2d::InsertComponentBuilder::SetSpecifyPoint ( const NXOpen::Point3d specifyPoint)

Sets the point specified to put the 2D Component instance
Created in NX10.0.0.



License requirements : nx_layout ("NX Layout")

Parameters
specifyPointspecifypoint
NXOpen::Layout2d::ComponentSettingsBlockBuilder* NXOpen::Layout2d::InsertComponentBuilder::Settings ( )

Returns the Component settings block builder which holds the component settings builder
Created in NX10.0.0.



License requirements : None

NXOpen::Sketch* NXOpen::Layout2d::InsertComponentBuilder::Sketch ( )

Returns the sketch to insert the 2D Component
Created in NX10.0.0.



License requirements : None

NXOpen::Point3d NXOpen::Layout2d::InsertComponentBuilder::SpecifyPoint ( )

Returns the point specified to put the 2D Component instance
Created in NX10.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.